GDB (xrefs)

Public Attributes | List of all members
internalvar_funcs Struct Reference

`#include "value.h"`

## Public Attributes
struct value *(* | make_value )(struct gdbarch *arch, struct internalvar *var, void *data)
void(* | compile_to_ax )(struct internalvar *var, struct agent_expr *expr, struct axs_value *value, void *data)
void(* | destroy )(void *data)

## Detailed Description

Definition at line 946 of file value.h.

## Member Data Documentation

## ◆ compile_to_ax

void(* internalvar_funcs::compile_to_ax) (struct internalvar *var, struct agent_expr *expr, struct axs_value *value, void *data)

Definition at line 963 of file value.h.

Referenced by compile_internalvar_to_ax().

## ◆ destroy

void(* internalvar_funcs::destroy) (void *data)

Definition at line 972 of file value.h.

Referenced by clear_internalvar().

## ◆ make_value

struct value*(* internalvar_funcs::make_value) (struct gdbarch *arch, struct internalvar *var, void *data)

Definition at line 952 of file value.h.

Referenced by value_of_internalvar().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/value.h